summaryrefslogtreecommitdiff
path: root/dev-ruby/singleton
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-ruby/singleton
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-ruby/singleton')
-rw-r--r--dev-ruby/singleton/Manifest1
-rw-r--r--dev-ruby/singleton/metadata.xml9
-rw-r--r--dev-ruby/singleton/singleton-0.3.0.ebuild31
3 files changed, 41 insertions, 0 deletions
diff --git a/dev-ruby/singleton/Manifest b/dev-ruby/singleton/Manifest
new file mode 100644
index 000000000000..e25e21c86b4c
--- /dev/null
+++ b/dev-ruby/singleton/Manifest
@@ -0,0 +1 @@
+DIST singleton-0.3.0.tar.gz 6955 BLAKE2B 55a499dbb2a8915d9aba0a38ce32146a8ae4475dbe5b446ed036f1bc509bce6ba2d25aa3cadc96c147526adb43545f75dabe010c720a4fadd7dbf63a81af7d6b SHA512 f703ab194b97018cded9ce09877e9d7d8715f4f605c43b66ab92580188784a4740234fec54e28b0e31386f717d1420dc2486458d8ccedbc07f40e61e3f1598d7
diff --git a/dev-ruby/singleton/metadata.xml b/dev-ruby/singleton/metadata.xml
new file mode 100644
index 000000000000..c685ebad7e3a
--- /dev/null
+++ b/dev-ruby/singleton/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-ruby/singleton/singleton-0.3.0.ebuild b/dev-ruby/singleton/singleton-0.3.0.ebuild
new file mode 100644
index 000000000000..e7d26d500983
--- /dev/null
+++ b/dev-ruby/singleton/singleton-0.3.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="singleton.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="The Singleton module implements the Singleton pattern"
+HOMEPAGE="https://github.com/ruby/singleton"
+SRC_URI="https://github.com/ruby/singleton/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos ~x64-solaris"
+
+all_ruby_prepare() {
+ sed -e 's/__dir__/"."/' \
+ -e 's/__FILE__/"'${RUBY_FAKEGEM_GEMSPEC}'"/' \
+ -e 's/git ls-files -z/find * -print0/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:.:test:test/lib -e 'Dir["test/**/test_*.rb"].each{|f| require f}' || die
+}